UnifAPI Docs
Instagram

Cross-type Instagram search (posts/reels)

GET
/instagram/search

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Query Parameters

cursor?string
q*string

Search keyword.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/instagram/search?q=string"
{
  "items": [
    {
      "id": "string",
      "shortcode": "string",
      "media_id": "string",
      "media_type": 0,
      "product_type": "string",
      "taken_at": 0,
      "caption": "string",
      "accessibility_caption": "string",
      "image_url": "string",
      "video_url": "string",
      "like_count": 0,
      "comment_count": 0,
      "play_count": 0,
      "view_count": 0,
      "is_paid_partnership": true,
      "has_audio": true,
      "carousel_count": 0,
      "carousel": [
        {
          "media_type": 0,
          "image_url": "string",
          "video_url": "string",
          "accessibility_caption": "string"
        }
      ],
      "user": {
        "id": "string",
        "user_id": "string",
        "username": "string",
        "full_name": "string",
        "is_verified": true,
        "is_private": true,
        "profile_pic_url": "string"
      },
      "location": {
        "id": "string",
        "name": "string",
        "lat": 0,
        "lng": 0
      }
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}